%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%define rname activesupport
%define has_ruby_irb 0%{?fedora:%fedora} || 0%{?rhel:%rhel} >= 5

Name:           ruby-%{rname}
Version:        2.0.1
Release:        3%{?dist}
Summary:        Utility classes and extension to Ruby's standard library
Group:          Development/Languages

License:        MIT
URL:            http://rubyforge.org/projects/activesupport/
Source0:        http://rubyforge.org/frs/download.php/28871/%{rname}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ruby
Requires:       ruby(abi) = 1.8 
%if %has_ruby_irb
Requires:       ruby-irb
%else
Requires:       irb
%endif

Provides:       ruby(active_support) = %{version}

%description
Utility classes and extension to the standard library that were
required by Rails, but found of general use.

%prep
%setup -q -n %{rname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{ruby_sitelib}/
cp -pr lib/* $RPM_BUILD_ROOT/%{ruby_sitelib}/
find $RPM_BUILD_ROOT/%{ruby_sitelib} -type f -name '._*' | xargs -r rm

# Remove bad shebangs
for f in %{buildroot}%{ruby_sitelib}/active_support/multibyte/generators/generate_tables.rb \
         %{buildroot}%{ruby_sitelib}/active_support/vendor/builder-2.1.2/builder.rb \
         %{buildroot}%{ruby_sitelib}/active_support/vendor/builder-2.1.2/blankslate.rb \
         %{buildroot}%{ruby_sitelib}/active_support/vendor/builder-2.1.2/builder/* ; do
  sed -i -e '1s/^\#!.*$//' $f
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%{ruby_sitelib}/activesupport.rb
%{ruby_sitelib}/active_support.rb
%{ruby_sitelib}/active_support


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 10 2007 David Lutterkort <dlutter@redhat.com> - 2.0.1-1
- New version

* Thu Nov 29 2007 David Lutterkort <dlutter@redhat.com> - 1.4.4-1
- New version

* Fri Jan 19 2007 David Lutterkort <dlutter@redhat.com> - 1.4.0-1
- New version
- Make build work for RHEL4 (require irb, not ruby-irb)

* Mon Nov 13 2006 David Lutterkort <dlutter@redhat.com> - 1.3.1-3
- Add dependency on ruby-irb (breakpoint.rb needs it)

* Mon Nov  6 2006 David Lutterkort <dlutter@redhat.com> - 1.3.1-2
- Version the ruby(active_support) provides

* Wed Sep 20 2006  David Lutterkort <dlutter@redhat.com> - 1.3.1-1
- Initial package
